This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1031732 - Resource Group Graph on Dashboard shows duplicate metrics
Resource Group Graph on Dashboard shows duplicate metrics
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: UI (Show other bugs)
JON 3.3.0
Unspecified Unspecified
unspecified Severity medium
: ER03
: JON 3.3.0
Assigned To: Jay Shaughnessy
Sunil Kondkar
:
Depends On: 768342
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 11:08 EST by Peter Larsen
Modified: 2014-12-11 09:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-11 09:00:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Larsen 2013-11-18 11:08:33 EST
Description of problem:

The dashboard portlet for resource groups shows multiple metrics of the same name. The dashboard also does not show metrics from child elements in recursive groups.

How reproducible:

Every time.

Steps to Reproduce:
1. Create compatible group with 2 or more members of the same time. Make it recursive. Suggest makinga group of EAP instances
2. Create new dashboard
3. Create "Resource Group Graph" portlet
4. Pick the group just created
5. In the drop down of metrics multiple "JVM Free mememory' and other primary metrics are listed.
6. No metrics from child resources are shown

Actual results:

Duplicate metrics shown in list

Expected results:

Only one instance of each metric name.
Comment 3 Jay Shaughnessy 2014-09-05 13:38:35 EDT
release/jon3.3.x commit f839b55164ea4e89fb37398882421b4433af09ea
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Fri Sep 5 13:28:57 2014 -0400

Conflicts:
	modules/enterprise/gui/coregui/src/main/java/org/rhq/coregui/client/inventory/resource/detail/monitoring/ResourceScheduledMetricDatasource.java

    (cherry picked from commit 16c6dbf7d3fc6d1a2614cd34b255853e09f0be45)
    Signed-off-by: Jay Shaughnessy <jshaughn@redhat.com>
Comment 4 Simeon Pinder 2014-09-16 22:49:00 EDT
Moving to ON_QA as available for test with the following brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=385149
Comment 5 Sunil Kondkar 2014-09-24 09:53:22 EDT
Verified on JON 3.3 ER03

Dashboard resource group metric graph portlet does not display duplicate metrics.

Note You need to log in before you can comment on or make changes to this bug.